This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 3606 - [pump] coding oversight in the new -h code
[pump] coding oversight in the new -h code
Status: CLOSED ERRATA
Product: Red Hat Raw Hide
Classification: Retired
Component: dhcpcd (Show other bugs)
1.0
i386 Linux
high Severity high
: ---
: ---
Assigned To: Erik Troan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-06-20 19:20 EDT by Jay Freeman
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-06-22 15:32:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jay Freeman 1999-06-20 19:20:45 EDT
Spent the last hour manually making each change in a diff
between 0.6.4 (which worked for me) and 0.6.7 (which
doesn't), and noticed something important.  The -h code
uses a char * as a boolean variable to see if it is there
or not, but should be using the first character in the
string.  Changed that, and got it working on MediaOne (my
cable modem provider).  Diff as follows:

diff pump-0.6.7/pump.c pump-mine/pump.c
1171c1171
<                          cmd.u.start.reqHostname ?
---
>                          cmd.u.start.reqHostname[0] ?

Before what would happen is pump would sit there for about
15 seconds before finally stating "Operation failed".
Comment 1 Jay Freeman 1999-06-21 01:28:59 EDT
(and just to beat breed@almaden.ibm.com to the punch...)
The patch at http://www.cse.ucsc.edu/~breed/pump.patch does NOT fix
this :P.
Comment 2 Erik Troan 1999-06-22 15:32:59 EDT
Ugh.

I just committed this to CVS -- would you like to test the new version
for me before we stick it on the errata?

------- Additional Comments From   06/22/99 15:51 -------
Sure, give me an address of some sort to get access to it and I will test it (don't know where the pump development goes on so don't know where to get the CVS version, or do you mean the redhat CVS? well, regardless...).
Comment 3 Jay Freeman 1999-06-22 15:51:59 EDT
Sure, give me an address of some sort to get access to it and I will test it (don't know where the pump development goes on so don't know where to get the CVS version, or do you mean the redhat CVS? well, regardless...).

Note You need to log in before you can comment on or make changes to this bug.